# -*- rpm-spec -*-
# $Id: smalltalk,v 1.13 2002/10/05 12:54:06 lioka Exp $

Name: smalltalk
Version: 2.95h
Release: alt2

Summary: Smalltalk free language implementation
License: GPL
Group: Development/Other
Url: http://smalltalk.gnu.org/

Source: ftp://alpha.gnu.org/gnu/smalltalk/%name-%version.tar
#Source.gz
%def_enable systemffi
Patch2: %name-systemffi.patch

PreReq: %__install_info

%if_enabled systemffi
BuildPreReq: libffi-devel
%endif
%if_enabled jit
BuildPreReq: lightning
%endif

# Automatically added by buildreq on Sat Nov 03 2007 (-bi)
BuildRequires: emacs-common libgdbm-devel libgmp-devel libgtk+2-devel libncurses-devel libpq-devel libreadline-devel termutils tk-devel zip

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book Smalltalk-80:
the Language and its Implementation by Adele Goldberg and David
Robson. GNUSmalltalk runs on most versions of Unix or Unix like
systems (GNU/Linux, FreeBSD, etc...).
There is even a version for commercial operating systems like MS-NT.

%package static
Summary: static libraries for %name
Group: Development/Other
Requires: %name = %version-%release

%description static
static libraries for %name

%package -n emacs-mode-%name
Summary: SmallTalk mode for GNU Emacs
Group: Editors
Requires: %name = %version-%release

%description -n emacs-mode-%name
SmallTalk mode for GNU Emacs

%package -n emacs-mode-%name-el
Summary: The Emacs Lisp sources for bytecode included in emacs-mode-%name
Group: Editors
Requires: emacs-mode-%name = %version-%release

%description -n emacs-mode-%name-el
The Emacs Lisp sources for bytecode included in emacs-mode-%name

%package doc
Summary: GNU Smalltalk html doc
Group: Development/Other

%description doc
GNU Smalltalk html doc

%prep
%setup -q
%if_enabled systemffi
%patch2 -p1
%endif

%build
%configure --with-tcl=%_libdir --with-tk=%_libdir \
	--with-imagedir=/var/lib/smalltalk \
%if_enabled jit
	--enable-jit \
%endif
%if_enabled preemption
	--enable-preemption \
%endif
	--enable-checking \
	--enable-disassembler \

%make_build
make check
make -C doc html
ln doc/html/images/* doc/html/
rm -f doc/html/images
bzip2 ChangeLog

%install
%make DESTDIR=$RPM_BUILD_ROOT install
rm -f %buildroot%_includedir/sigsegv*
%add_findreq_skiplist %_datadir/smalltalk/examples/shell
%find_lang %name

%post
%install_info gst.info gst-base.info gst-libs.info

%preun
%uninstall_info gst.info gst-base.info gst-libs.info

%files -f %name.lang
%_bindir/*
%_includedir/gst*.h
%_libdir/libgst.so*
%_libdir/libsigsegv.so*
%_pkgconfigdir/gnu-smalltalk.pc
%_libdir/%name
%exclude %_libdir/%name/*.a
%exclude %_libdir/%name/*.la
%_datadir/aclocal/gst*
%_infodir/*.info*
%_man1dir/gst*
%_datadir/%name
/var/lib/smalltalk
%doc AUTHORS NEWS README THANKS TODO ChangeLog.bz2

%files -n emacs-mode-%name
%_emacslispdir/*.elc

%files -n emacs-mode-%name-el
%_emacslispdir/*.el

%files static
%_libdir/%name/*.a
%_libdir/libgst.a

%files doc
%doc doc/html/*

%changelog
* Mon Dec 31 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.95h-alt2
- some deps fixes for build

* Sat Dec 29 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.95h-alt1
- new upstream version
- patch/dynamic-bins in upstream, so removed
- SMP build
- patch/systemffi updated

* Wed Nov 28 2007 Ildar Mulyukov <ildar@altlinux.ru> 2.95d-alt0.1
- new version after 4 years!
- gear/git build
- html doc package

* Tue Oct 28 2003 Stanislav Ievlev <inger@altlinux.org> 2.1.5-alt1
- 2.1.5
- added subpackages: emacs-mode,static libraries

* Wed Mar 26 2003 Stanislav Ievlev <inger@altlinux.ru> 2.0.11-alt1
- 2.0.11

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.95.12-alt3
- rebuilt with tcl 8.4

* Tue Jul 16 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.95.12-alt2
- rebuilt with new tcl layout

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.95.12-alt1
- 1.95.12
- Patched to link with libtinfo.

* Thu Mar 21 2002 Stanislav Ievlev <inger@altlinux.ru> 1.95.9-alt1
- 1.95.9
- Added more directories to packages ;)

* Mon Apr 02 2001 Stanislav Ievlev <inger@altlinux.ru> 1.95.4-alt1
- Cleanup spec. Upgrade to 1.95.4

* Wed Feb 14 2001 AEN <aen@logic.ru>
- %post removed

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Sun Nov 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.3-1mdk
- first mandrake rpm.
